Page 1 of 2

Need help using Valtteri's SMB1 Pulley platform set

Posted: Tue May 09, 2017 5:44 pm
by Animebryan
I was looking through my resources folder to see if I could find a platform setup to mimic the SMB1 Pulley platforms. I found a set made by Valtteri but there's no instructions or demo level file to show how to set it up or use it. If anyone could tell me how to set it up I'd appreciate it.

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Tue May 09, 2017 10:29 pm
by PixelPest
It's probably just a graphic and won't actually do anything so you'd just copy the graphics into a custom graphics folder with the same name as your level. Pretty sure that someone is working on fully functional ones though for SMBX2

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Thu May 11, 2017 12:56 pm
by Animebryan
First of all, it's not 'just a graphic'. Its an entire set of background objects with a block & npc platform & a invisible axe that's expanded to 3 tiles in length, which I imagine is meant to be set on top of the npc platforms to trigger some event. But I don't know how to set up the whole thing including events. It's clearly meant to work using the npc platform, block & invisible axe along with events to make it function, I just need to know how to set it up.

And there's no point in bringing up SMBX 2.0 because I use 1.3

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Thu May 11, 2017 2:19 pm
by Electriking
Animebryan wrote:First of all, it's not 'just a graphic'. Its an entire set of background objects with a block & npc platform & a invisible axe that's expanded to 3 tiles in length, which I imagine is meant to be set on top of the npc platforms to trigger some event. But I don't know how to set up the whole thing including events. It's clearly meant to work using the npc platform, block & invisible axe along with events to make it function, I just need to know how to set it up.

And there's no point in bringing up SMBX 2.0 because I use 1.3
Except they are just graphics. There is no way of using functional pulley platforms without 2.0. Why don't you just get it?

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Thu May 11, 2017 4:11 pm
by Animebryan
King of Eterity wrote:Why don't you just get it?
Why don't you just get lost?

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Thu May 11, 2017 4:24 pm
by Electriking
Animebryan wrote:
King of Eterity wrote:Why don't you just get it?
Why don't you just get lost?
Why don't you just keep calm? You really should get 2.0 otherwise you will encounter more and more episodes that don't work in 1.3.

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Thu May 11, 2017 5:03 pm
by Animebryan
King of Eterity wrote:
Animebryan wrote:
King of Eterity wrote:Why don't you just get it?
Why don't you just get lost?
Why don't you just keep calm? You really should get 2.0 otherwise you will encounter more and more episodes that don't work in 1.3.
I'll keep calm when you stop being rude! And no I shouldn't get 2.0 because I don't encounter episodes that don't work in 1.3. The project I'm involved with now & every episode I've downloaded work perfectly fine in 1.3 because they were made with 1.3! I also prefer the version that doesn't pull a dickhead move like skipping the title screen, where I can set my controller configuration. Maybe if 2.0 was fully functional & not still in it's beta stage & it became more commonly used then maybe I would consider it. I also don't like how they changed the interface. I prefer to stick to something that I'm used to & know how to use.

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Thu May 11, 2017 5:14 pm
by Electriking
Animebryan wrote:
King of Eterity wrote:
Animebryan wrote: Why don't you just get lost?
Why don't you just keep calm? You really should get 2.0 otherwise you will encounter more and more episodes that don't work in 1.3.
I'll keep calm when you stop being rude! And no I shouldn't get 2.0 because I don't encounter episodes that don't work in 1.3. The project I'm involved with now & every episode I've downloaded work perfectly fine in 1.3 because they were made with 1.3! I also prefer the version that doesn't pull a dickhead move like skipping the title screen, where I can set my controller configuration. Maybe if 2.0 was fully functional & not still in it's beta stage & it became more commonly used then maybe I would consider it. I also don't like how they changed the interface. I prefer to stick to something that I'm used to & know how to use.
1) I am not being rude
2) You will encounter episodes that don't work
3) I am not being a dickhead. 2.0 is still the better version even if it is in beta, and you can go to the menu that is the same as 1.3 by quitting the episode you are currently playing.
4) It is commonly used by the major members here
5) I know you may not like the interface but they are probably not going to change it back. It may be best to have to get used to it now rather than later.

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Thu May 11, 2017 6:00 pm
by Animebryan
King of Eterity wrote: 1) I am not being rude
2) You will encounter episodes that don't work
3) I am not being a dickhead. 2.0 is still the better version even if it is in beta, and you can go to the menu that is the same as 1.3 by quitting the episode you are currently playing.
4) It is commonly used by the major members here
5) I know you may not like the interface but they are probably not going to change it back. It may be best to have to get used to it now rather than later.
1) "Why don't you just get it? = rude
2) No I won't. All the episodes of SMBX on RMN are made exclusively with 1.3! I don't think 2.0 exclusive episodes are even allowed there.
3) Wasn't saying you were. If you learn how to read & re-read my post, I was referring to 2.0's skipping of the title screen as a dickhead move by it's creator! And that workaround method is a load of crap! It should at least have a controller config. option on the initial screen or just go straight to the title screen like 1.3 does!
4) And it's not taken seriously by SMBX users on RMN!
5) They should change it back for the convenience of those who still use 1.3. I'd rather wait till it's more stable & commonly used by RMN before I switch to it.

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Thu May 11, 2017 6:48 pm
by Aristo
Y'all.

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Thu May 11, 2017 6:54 pm
by Mable
Animebryan wrote: 4) And it's not taken seriously by SMBX users on RMN!
5) They should change it back for the convenience of those who still use 1.3. I'd rather wait till it's more stable & commonly used by RMN before I switch to it.
Big bad Mable stepping in
Image
How is it not taken seriously?

No 1.3 is dead and over and is not being worked on anymore, but i mean if you want to use a buggy version instead of one that fixes the bugs and run-time errors you can get so easily that's ur call sir.
Also that's not a dick move.

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Thu May 11, 2017 7:13 pm
by Animebryan
Because it's the version everyone on RMN is used to. They've been using SMBX since the 1.2 version I believe. Sure, they don't like the bugs, quirks or run-time errors either, but they've gotten used to working with it to the point were they've developed an entire series with it. Since 2.0 is still a WIP, they won't condone it's use until its been finalized. Even then, I don't think they would handle the transition that easily, what with getting used to the new interface, the whole tileset setups & the LunaLua scripting.

And for the record, skipping over the original title screen is a dickhead move! It should of been left intact without skipping over it. It's necessary to get to the controller configuration.

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Thu May 11, 2017 7:30 pm
by Zeldamaster12
Animebryan, you need to calm down and stop making yourself look like a victim. Nobody is being rude to you, your "get lost" comment was the first rude thing anyone has said on this thread and you're flipping out at people who tell you to at least try 2.0. 2.0 might be in beta, but regardless, whether you or the community you're on likes it or not, 2.0 is the future and will eventually replace 1.3 completely (as if it hasn't for the most part already). There's a ton that you can do with 2.0 compared to 1.3, and the majority of episodes posted use 2.0, so at least don't knock it before you try it.

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Thu May 11, 2017 7:50 pm
by Animebryan
Zeldamaster12 wrote:Animebryan, you need to calm down and stop making yourself look like a victim. Nobody is being rude to you, your "get lost" comment was the first rude thing anyone has said on this thread and you're flipping out at people who tell you to at least try 2.0. 2.0 might be in beta, but regardless, whether you or the community you're on likes it or not, 2.0 is the future and will eventually replace 1.3 completely (as if it hasn't for the most part already). There's a ton that you can do with 2.0 compared to 1.3, and the majority of episodes posted use 2.0, so at least don't knock it before you try it.
First of all, YOU need to calm down. King of Eterity's comment "Why can't you just get it?" was rude, there's no point in arguing about that. And what the hell is this "making myself look like a victim" BS? I'm not a victim of anything nor do I make myself out to be, so stop making stuff up. And I said this before so learn to read: The RMN community only uses version 1.3. That means if a SMBX game making event takes place, only levels made with 1.3 will work because everyone participating in the event is expected to be using the same engine (that's common sense). And what makes you think I haven't tried it yet? How do you think I knew about the interface change then?

I'll tell you the real problem here. This topic is supposed to be asking for help on how to use Valtteri's SMB1 Pulley Platforms setup & got derailed into "Convert to 2.0" Time to see if I can fix this . . .

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Thu May 11, 2017 8:08 pm
by Rhosty
Animebryan wrote:I'll tell you the real problem here. This topic is supposed to be asking for help on how to use Valtteri's SMB1 Pulley Platforms setup & got derailed into "Convert to 2.0" Time to see if I can fix this . . .
I really don't understand how you want this fighting to stop when you were the one who started it.

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Thu May 11, 2017 8:09 pm
by Zeldamaster12
"Why can't you just get it?" is not rude. I think you misintepreted it as "why can't you just understand already", but he actually meant "why can't you just get 2.0", which is a completely harmless question. You got mad at his statement and made him out to be a jerk for whatever reason, which was indeed you victimizing yourself.

I agree that the thread has kinda derailed, but the 2.0 discussion sparked because people were suggesting that you use 2.0 for pully platforms and you outright refused. Either go for the easiest option or don't, choice is yours. If the RMN community won't accept anything made in 2.0, then unless you can find a good and easy way to use functional pully platforms on 1.3 (tip: you probably won't), then you might just have to scrap the idea of using pully platforms.

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Thu May 11, 2017 9:11 pm
by Animebryan
Zeldamaster12 wrote:"Why can't you just get it?" is not rude. I think you misinterpreted it as "why can't you just understand already", but he actually meant "why can't you just get 2.0", which is a completely harmless question. You got mad at his statement and made him out to be a jerk for whatever reason, which was indeed you victimizing yourself.

I agree that the thread has kinda derailed, but the 2.0 discussion sparked because people were suggesting that you use 2.0 for pulley platforms and you outright refused. Either go for the easiest option or don't, choice is yours. If the RMN community won't accept anything made in 2.0, then unless you can find a good and easy way to use functional pulley platforms on 1.3 (tip: you probably won't), then you might just have to scrap the idea of using pulley platforms.
You're right. That's exactly how I read it, a rude way of saying "Why can't you just understand that they're just a bunch of graphics that don't function right". I made him out to be a jerk because it sounded rude & its an obvious mistake anyone could make. If he had asked the other way you put it "why can't you just get 2.0", then my response wouldn't have been so angry. I was kinda hoping that Valtteri himself would see this & tell me how to use it or if it is non-functional in 1.3.
practicalshorty014 wrote:
Animebryan wrote:I'll tell you the real problem here. This topic is supposed to be asking for help on how to use Valtteri's SMB1 Pulley Platforms setup & got derailed into "Convert to 2.0" Time to see if I can fix this . . .
I really don't understand how you want this fighting to stop when you were the one who started it.
Explain to me how asking for help with some graphics resource started the fighting.

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Fri May 12, 2017 12:57 am
by DarkMatt
Animebryan wrote:Explain to me how asking for help with some graphics resource started the fighting.
You went from asking for help to getting mad over grossly misreading someone's response to trashing a version you have no idea about. If you need a specific point where you started this mess, it was this post:
Animebryan wrote:
King of Eterity wrote:Why don't you just get it?
Why don't you just get lost?
Which is a rash insult just because you got triggered. Geez at least King of Eternity had a purpose to his post. You just wanted to take an eye for an eye.

You're the one who started picking fights for unbelievably petty reasons. You have an attitude problem and that's why this mess was made.

I mean holy crap King of Eternity was asking you to get 2.0. That's it. You could've just said no instead of treat 2.0 like a heathen religion. Why did you take offense to that? It was a suggestion. Don't excommunicate him.

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Fri May 12, 2017 6:56 am
by bossedit8
I know this is not 1.3 nor 2.0 but...



Original link: http://www.youtube.com/watch?v=RekdI1PS5Dg

Re: Need help using Valtteri's SMB1 Pulley platform set

Posted: Fri May 12, 2017 5:03 pm
by Animebryan
DarkMatt wrote:
Animebryan wrote:Explain to me how asking for help with some graphics resource started the fighting.
You went from asking for help to getting mad over grossly misreading someone's response to trashing a version you have no idea about. If you need a specific point where you started this mess, it was this post:
Animebryan wrote:
King of Eterity wrote:Why don't you just get it?
Why don't you just get lost?
Which is a rash insult just because you got triggered. Geez at least King of Eternity had a purpose to his post. You just wanted to take an eye for an eye.

You're the one who started picking fights for unbelievably petty reasons. You have an attitude problem and that's why this mess was made.

I mean holy crap King of Eternity was asking you to get 2.0. That's it. You could've just said no instead of treat 2.0 like a heathen religion. Why did you take offense to that? It was a suggestion. Don't excommunicate him.
That perfect. Just keep pouring oil on the fire. Make sure it never goes out, right? :roll:
bossedit8 wrote:I know this is not 1.3 nor 2.0 but...



Original link: http://www.youtube.com/watch?v=RekdI1PS5Dg
Sorry but no. I'd rather use 2.0 than 1.4, but neither of those 2 are an option for me. Thanks anyway.